# -*- coding: utf-8 -*-
#***********************************************************************************************************
#
# MoxPathloader.py
#    Created by mox-motion
#   2021.11.26  MayaLTに対応
#  説明：カレントプロジェクトにあるシーンファイルをコマンド入力でロードできる
#
#***********************************************************************************************************
import maya.cmds as cmds

class MoxPathLoader_main(object):
    def __init__(self):
        if cmds.window ("MoxPathLoader",exists=True):
            cmds.deleteUI ("MoxPathLoader")
        else:pass

        self.windowHandle = cmds.window("MoxPathLoader")
        cmds.columnLayout()
        cmds.rowLayout (numberOfColumns= 3 )
        cmds.button("path", l="path", c="MoxPathLoader.fileDialog()")
        cmds.textField ("fn" , w=400)
        cmds.button("Load", c = "MoxPathLoader.loadStart()")
        cmds.showWindow(self.windowHandle)
    
    #presetをロード    
    def fileDialog(self):
        if ("LT" in cmds.about(iv = True)):
            multipleFilters = "Maya Files (*.ma *.mb);;Maya ASCII (*.ma);;Maya Binary (*.mb);;Maya LT (*.mlt);;All Files (*.*)"
        else:
            multipleFilters = "Maya Files (*.ma *.mb);;Maya ASCII (*.ma);;Maya Binary (*.mb);;All Files (*.*)"
        path = cmds.fileDialog2(fileFilter=multipleFilters, dialogStyle=2, okc="set", fileMode=1, sff= "All Files")[0]
        cmds.textField("fn", e=True, text=path)
        
    def loadStart(self):
             path = cmds.textField("fn", q=True, text=True)
             fileType = path.split(".")[-1]
             if ("LT" in cmds.about(iv = True)):fileTypes = ["ma", "mb", "mlt"]
             else:fileTypes = ["ma", "mb"]
             
             if(fileType in fileTypes):
                name = cmds.textField("fn",q=True, tx=True)
                cmds.file (name,  open=True,force=True)  
             else:
                cmds.warning(u"拡張子が違います。ma,mb,mltを含めたpathを指定してください")
                
MoxPathLoader = MoxPathLoader_main()              